#include <Lib/WidgetFactory.h>
#include <Lib/EditWidget.h>
#include <Lib/LabelWidget.h>
#include "FooWidget.h"

/*
	A better way to do it with explicit initialization
*/
/*
void initWidgetLibrary()
{
	// We could chain the initializtion functions here, one to 
	// init the base library and one for initializing the application
	// specific widgets (FooWidget).
	REGWIDGET( EditWidget );	
	REGWIDGET( LabelWidget );	
	REGWIDGET( FooWidget );	
}
*/

int __cdecl main( int argc, char* argv[] )
{
	(void)argc;
	(void)argv;
	
	WidgetFactory::debugDump();
	
	return 0;
}
