#ifndef widgetfactory_h
#define widgetfactory_h

#include "Widget.h"

class WidgetFactory
{
	WidgetFactory();
public:
	static void debugDump();
	static Widget* create(const char* name);
	static void add(const char* name, Widget::Creator creator);
};


struct Registrar
{
	Registrar(const char* name, Widget::Creator creator)
	{
		WidgetFactory::add(name, creator);
	}
};
#define REGWIDGET( name ) \
	Registrar g_register ## name = Registrar(#name, & name ::create)

#endif
